CON
  _clkmode = XTAL1|PLL16X
  _xinfreq = 5_000_000

CON
  pinL = 11
  pinR = 24

  
VAR

 long freqL, freqR
 byte state
 
OBJ
  serial: "Parallax Serial Terminal"
  source: "Synth"
  led : "output"  
  
PUB start 

  serial.start(19200)                                  ' use default serial pins (31/30)

  showstate(9)
  waitcnt(clkfreq*1 + cnt)
  
  labels  
  
  repeat
        
    clearvals
    waitcnt(clkfreq*1 + cnt)

    showstate(0)

    getvals
                  
    showstate(1)    
    'coginit(6,source.Synth("A", pinL, freqL),@stackL)                                                 ' set counter (only uses A) 
    'coginit(7,source.Synth("B", pinR, freqR),@stackR) 
    source.Synth("A", pinL, freqL)
    source.Synth("B", pinR, freqR)



    

    

pub showstate(mode)

  serial.Position(0, 0)

  case mode
    0:  
      serial.Str(string(".ready for freq 0 to 128_000_000"))
    1:
      serial.str(string(".playing........................"))
      serial.dec(freqL)
      serial.str(string(" ,"))
      serial.dec(freqR) 
    9:
      serial.str(string(".booting........................"))
    2:
      serial.str(string(".l ="))
      serial.dec(freql)
      serial.str(string("            "))
    3:
      serial.str(string(".r ="))
      serial.dec(freqR)
      serial.str(string("            "))
  waitcnt(clkfreq*1 + cnt) 

pub labels

    serial.clear    
    waitcnt(clkfreq*1 + cnt)
    
    serial.Position(0, 2)
    serial.Str(string("frequency L:= "))
     
    serial.Position(0, 3)
    serial.Str(string("frequency R:= "))
    
     

pub getvals  
    'position in case echo is on

    serial.Position(13, 2)                                ' user prompt
    freqL := serial.DecIn                                  ' read decimal value
    showstate(2)

    showstate(0)

    serial.Position(13, 3)
    freqR := serial.DecIn
    showstate(3)


pub clearvals

    serial.Position(13, 2)
    serial.Str(string("                          "))
    serial.Position(13, 3)
    serial.Str(string("                          "))
    waitcnt(clkfreq*1 + cnt) 

 